package com.bonus.canteen.core.device.manage.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class DeviceSendLogNoticeDTO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("设备sn码")
   private String deviceSn;
   @ApiModelProperty("日志开始时间")
   private LocalDate deviceLogSttime;
   @ApiModelProperty("日志结束时间")
   private LocalDate deviceLogEndtime;
   private @NotNull(
   message = "设备来源不可为空"
) Integer systemType;

   public Long getId() {
      return this.id;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public LocalDate getDeviceLogSttime() {
      return this.deviceLogSttime;
   }

   public LocalDate getDeviceLogEndtime() {
      return this.deviceLogEndtime;
   }

   public Integer getSystemType() {
      return this.systemType;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
   }

   public void setDeviceLogSttime(final LocalDate deviceLogSttime) {
      this.deviceLogSttime = deviceLogSttime;
   }

   public void setDeviceLogEndtime(final LocalDate deviceLogEndtime) {
      this.deviceLogEndtime = deviceLogEndtime;
   }

   public void setSystemType(final Integer systemType) {
      this.systemType = systemType;
   }

}
